Subject: Re: bug#79353: 31.0.50; Eager macro expansion errors when building master

From: Gerd Möllmann <[email-masked]>
Date: Tue, 02 Sep 2025 16:23:18 +0200

JD Smith <[email-masked]> writes:

> I guess I don't understand where this is coming from then.  What if you take out the condition-case and let it generate a backtrace?

With

1 file changed, 2 insertions(+), 2 deletions(-)
lisp/emacs-lisp/loaddefs-gen.el | 4 ++--

modified   lisp/emacs-lisp/loaddefs-gen.el
@@ -235,8 +235,8 @@ loaddefs-generate--make-autoload
                     (member file loaddefs--load-error-files))
           (let ((load-path (cons (file-name-directory file) load-path)))
             (message "loaddefs-gen: loading file %s (for %s)" file car)
-            (condition-case e (load file)
-              (error
+            (prog1 (load file)
+              '(error
                (push file loaddefs--load-error-files) ; do not attempt again
                (warn "loaddefs-gen: load error\n\t%s" e)))))
         (and (macrop car)

I get the attached compilation log, with a backtrace